Subject: Re: [PATCH v2 6/7] Holly DTS

From: Segher Boessenkool <[email-masked]>
Date: Sun, 6 May 2007 02:47:07 +0200

>>>>> +	compatible = "ppc750-tsi";
>>>>
>>>> The needs to be more specific as well; "ibm,holly"
>>>> or something.
>>>
>>> Why?  Holly and Hickory share the same memory map and devices.  The
>>> only
>>> thing that differs from what I can tell is the actual CPU itself.
>>
>> And the model number I suspect.
>>
>> "ppc750-tsi" really isn't good enough as a "compatible"
>> property, there are many many more boards with some 750
>> and some TSI bridge.
>
> Ok.  It really doesn't matter one way or another to me, since it's
> something I'm defining anyway.  "ibm,holly" and/or "ibm,hickory" or
> "ibm,ppc750-tsi" would likely work.

That last one still has the same problem, just now
only for IBM boards.  Maybe go fancy and do
"ibm,ppc750-tsi-holly" or something.  Your decision,
just make it specific enough.

> Actually, I might muck around with the PVR in the bootwrapper and poke
> the correct model and compatible nodes in there.  That might work out
> well enough.

Yeah, that should work great.

>>> It's not useless.  The TSI code probes by device_type all over the
>>> place.  Do you have an example of how to probe for something like 
>>> this
>>> without using device_type?
>>
>> Sure: use "compatible" instead.
>>
>> This problem is all over the place, don't worry
>> about it too much.  It would be good if new ports
>> could stop adding to the madness though ;-)
>
> For now, I'm inclined to leave it as is to minimize the amount of 
> things
> needed to actually get Holly merged.  However, I'll start looking at
> doing it via compatible shortly.

Just make sure your "compatible" property is good
to go; then when the kernel starts doing the right
thing, your tree still works.

>>>>> +	  	MPIC: pic@7400 {
>>>>> +			built-in;
>>>>
>>>> Why say this for MPIC only, not for most other nodes?
>>>> What binding defines "built-in", anyway?
>>>
>>> http://playground.sun.com/1275/bindings/chrp/chrp1_8a.ps
>>
>> But this isn't a CHRP compatible board, that binding
>> doesn't apply.
>
> I'm not pretending it is.  You just asked which binding defined it and 
> I
> was proud of myself for actually finding one ;).

Heh sure :-)

> It doesn't actually do anything in this case, so it can be removed.

Exactly.

Cheers,

Segher